Bug 1399667 (CVE-2016-9428) - CVE-2016-9428 w3m: Out-of-bounds write in addMultirowsForm()
Summary: CVE-2016-9428 w3m: Out-of-bounds write in addMultirowsForm()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9428
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1401423 1401424
Blocks: 1399744
TreeView+ depends on / blocked
 
Reported: 2016-11-29 14:37 UTC by Andrej Nemec
Modified: 2019-09-29 14:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 08:54:14 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-29 14:37:14 UTC
An out of bounds heap write will occur while parsing malicously crafted input, crashing the application or having other unspecified impact.

Upstream bug:

https://github.com/tats/w3m/issues/26

Upstream fix:

https://github.com/tats/w3m/commit/4e464819dd360ffd3d58fa2a89216fe413cfcc74

References:

http://seclists.org/oss-sec/2016/q4/321

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:51:38 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]


Note You need to log in before you can comment on or make changes to this bug.